podman (5.8.6+ds1-2) unstable; urgency=medium

  * Add Breaks: containers-storage (<< 1.63.0-1~) (Closes: #1145564)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 26 Aug 2026 19:11:23 -0400

podman (5.8.6+ds1-1) unstable; urgency=medium

  * Team Upload
  * New Upstream Version, Fixes: CVE-2026-19730, Closes: #1145198
  * Disable external compose provider warning by default (Closes: #1141972)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 25 Aug 2026 07:20:46 -0400

podman (5.8.4+ds1-2) unstable; urgency=medium

  * Drop obsolete assertions on removed containers/storage empty driver
    warning
  * debian/control: Fix XS-Go-Import-Path
  * debian/rules, debian/tests: Update import path to github.com/containers/podman/v5

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Aug 2026 11:59:52 -0400

podman (5.8.4+ds1-1) unstable; urgency=medium

  * New upstream version, Closes: #1141502, Fixes: CVE-2026-57231
  * Backport upstream patches to restore compatibility with
    containers/storage v1.63

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 18 Aug 2026 08:37:22 -0400

podman (5.8.3+ds1-1) unstable; urgency=medium

  * build against buildah 1.42.3, Closes: #1140619
  * This release addresses CVE-2026-44517, GHSA-49p4-px3h-rq49.
  * Fix build failure with opencontainers-cgroups < 0.0.6
  * Bump Standards Version, dropped Priorty: optional field
  * normalize with wrap-and-sort
  * build against containerd/platforms 1.0, Closes: #1140115

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 29 Jun 2026 02:31:35 -0400

podman (5.8.2+ds1-3) unstable; urgency=medium

  * Allow searching the system PATH for gvproxy (Closes: #1139170)
  * Recommend gvproxy

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 08 Jun 2026 07:18:34 -0400

podman (5.8.2+ds1-2) unstable; urgency=medium

  * Relax Build-Conflicts with golang-opentelemetry-contrib-dev (Closes:
    #1137229)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 May 2026 05:28:49 -0400

podman (5.8.2+ds1-1) unstable; urgency=medium

  * New upstream release: 5.8.2

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 15 Apr 2026 07:21:40 -0400

podman (5.8.1+ds1-3) unstable; urgency=medium

  * Relax AppArmor profile check in e2e tests

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Apr 2026 16:23:05 -0400

podman (5.8.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 24 Mar 2026 11:09:59 -0400

podman (5.8.1+ds1-1) experimental; urgency=medium

  * New upstream version
  * Fixed a critical in the  BoltDB to SQLite migration code
    cf.  https://github.com/containers/podman/issues/28216

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 13 Mar 2026 15:43:42 -0400

podman (5.8.0+ds1-1) experimental; urgency=medium

  * New Upstream version, Closes: #1129222
  * Add debian/NEWS entry about automatic boltdb migration
  * Refresh patches, build against docker 28, buildah 1.43
  * Tighten build dependencies
  * expand build conflicts
  * Avoid building against opencontainers-cgroups in experimental
  * NEWS: Fix version
  * Bump Standards version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 12 Mar 2026 20:46:35 -0400

podman (5.7.0+ds2-3) unstable; urgency=medium

  * NEWS entry about BoltDB -> SQLite migration, Closes: #1121681
  * Fix autopkgtests

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 02 Dec 2025 20:36:32 -0500

podman (5.7.0+ds2-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 27 Nov 2025 10:11:28 -0500

podman (5.7.0+ds2-1) experimental; urgency=medium

  * New upstream release:
    - Build against runc 1.3.3, fixes CVE-2025-52881
    - Add TLS/mTLS support for remote client and system service
    - podman run/create: new --creds and --cert-dir options
    - podman kube play/down: support multiple input files,
      add --no-pod-prefix
    - podman machine init: add --tls-verify
    - podman wait: add --return-on-first
    - podman container restore: add --tcp-close
    - Quadlet: add .artifact units,
      HttpProxy/StopTimeout/BuildArg/IgnoreFile keys
  * Bug Fixes:
    - podman ps --filter ancestor= now matches substrings
    - podman events --filter label= supports key-only matches
    - Fix Quadlet panics on missing mount source and
      systemd specifiers in .build
    - Fix podman info panic when /proc/sys/fs/binfmt_misc is unmounted
    - Fix remote client output truncation in attach sessions
    - podman build: correctly respect SBOM options
    - Fix --userns=ns:/path with runc >>1.1.11
    - podman machine on Windows: stop re-pulling already-present images
  * Tighten dependencies
  * Refresh patches

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Nov 2025 06:43:37 -0500

podman (5.6.2+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 26 Oct 2025 15:59:59 -0400

podman (5.6.2+ds1-3+exp1) experimental; urgency=medium

  * Compile against docker 27

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Oct 2025 06:13:21 -0400

podman (5.6.2+ds1-3) unstable; urgency=medium

  * Fixup 0007-Allow-version-buildah from previous upload

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 06 Oct 2025 05:44:05 -0400

podman (5.6.2+ds1-2) unstable; urgency=medium

  * Allow version of buildah to be slightly off, avoids autopkgtest failures

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 05 Oct 2025 16:17:20 -0400

podman (5.6.2+ds1-1) unstable; urgency=medium

  * New upstream version: 5.6.2
    - Fixed a bug where stopping the `podman machine start` command
      with SIGPIPE could result in machine state being stuck as "Starting"
    - Fixed a bug where `podman build` would fail with a permissions error
      when building Containerfiles using a non-root user and cache mounts

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Oct 2025 09:04:08 -0400

podman (5.6.1+ds2-3) unstable; urgency=medium

  * integration-tests-rootful: use $SUDO substitution to fix autopkgtest
  * podman: remove libpod.conf, 87-podman-bridge.conflist on upgrade,
    Closes: #1102908, #1115941
  * Add a NEWS entry for breaking changes in version 5.0.0, Closes: #1115347

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 25 Sep 2025 05:46:01 -0400

podman (5.6.1+ds2-2) unstable; urgency=medium

  * Remove some unneeded maintainer scripts
  * Silence lintian warnings regarding generated makefiles
  * debian/control: Switch to Static-Built-Using
  * system-tests: document as not needing forwarding
  * remove source overrides, no longer needed
  * debian/copyright: Remove uneeded expat,lgtp copyright entries

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Sep 2025 19:02:14 -0400

podman (5.6.1+ds2-1) unstable; urgency=medium

  * Repack to exclude some unneded sources from upstream tarball:
    - windows installer
    - upstream test VM setup scripts
  * integration-tests: increase keyring limits, fixes debci failures
  * debian/NEWS: Fix parsing issues

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Sep 2025 09:48:27 -0400

podman (5.6.1+ds1-2) unstable; urgency=medium

  * Rebuild against runc 1.3
  * Avoid dependency on conmon runner config
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 20 Sep 2025 21:38:16 -0400

podman (5.6.1+ds1-1) experimental; urgency=medium

  * New upstream version, Closes: 1114526, Fixes: CVE-2025-9566
  * Major additions/rework to Revert-Newer-Docker26.patch
  * Refresh Patches
  * Bump Standards Version

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Sep 2025 06:08:34 -0400

podman (5.4.2+ds1-2) unstable; urgency=medium

  * Team upload
  * Apply fix for CVE-2025-6032 (Closes: #1108473)

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 08 Jul 2025 07:15:12 +0000

podman (5.4.2+ds1-1) unstable; urgency=medium

  * Drop patches no longer needed
  * Fixed a bug where the `podman import` command could not import images
    compressed with algorithms other than gzip

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Apr 2025 17:48:53 -0400

podman (5.4.1+ds1-3) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Backport upstream PRs #25340 and #25350, adapting e2e tests for
    compatibility with crun >= 1.21.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 01 Apr 2025 14:23:52 -0400

podman (5.4.1+ds1-2) unstable; urgency=medium

  * disable the cni backend
  * Fix possible deadlock in podman cp, Closes: #1101414
  * Stop shipping obsolete libpod.conf

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 27 Mar 2025 10:06:13 -0400

podman (5.4.1+ds1-1) unstable; urgency=medium

  [Paul Holzinger]
  * debian/rules: set "Build Origin" field to track distro origin

  [Reinhard Tartler]
  * New upstream release
  * system-tests: re-enable tar tests, but ignore a basic timeout-related
    test. Needs more investigation.
  * No longer enable systemd system *and* user services, such as
    podman.{service,socket}, podman-auto-update.timer,
    podman-clean-transient.service, etc.  For rationale and background,
    please refer to debian/NEWS, Closes: #1095048, 1095221, 1098808

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 20 Mar 2025 09:36:49 -0400

podman (5.4.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches, drop patches merged upstream
  * Tighten build dependencies on containers/{storage,image,common,buildah}

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Feb 2025 08:51:11 -0500

podman (5.3.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: tighten dependencies
    Build against build 1.38.1 which includes a TOCTOU fix: CVE-2024-11218
  * Recommend criu and libcriu. This is required for podman snapshot features
    to work.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 27 Jan 2025 06:57:58 -0500

podman (5.3.1+ds1-7) unstable; urgency=medium

  * autopkgtest: Make sure that containers-storage is present
  * Come up with better names for the integration tests
  * Revise some integration test skips
  * Drop tolerate-lchown.patch
  * Drop the disable system_dial_stdio test

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 10 Dec 2024 13:44:53 -0500

podman (5.3.1+ds1-6) unstable; urgency=medium

  * localintegration tests: Rename helper variable to GINKGO_EXTRA_FLAGS
  * integration-tests: Ignore os.Lchown failures

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 06 Dec 2024 08:13:07 -0500

podman (5.3.1+ds1-5) unstable; urgency=medium

  * Automatically retry flaky tests
  * Pass BUILDTAGS with spaces instead of ','
  * Add rootless integration tests

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Dec 2024 09:46:34 -0500

podman (5.3.1+ds1-4) unstable; urgency=medium

  * autopkgtest/e2e: Bump total timeout 20m -> 90m
  * Rename patches

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Dec 2024 09:00:49 -0500

podman (5.3.1+ds1-3) unstable; urgency=medium

  * e2e integration tests: double the default timeout
  * builtin-tests: Set buildtags to expand test coverage

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Dec 2024 08:53:39 -0500

podman (5.3.1+ds1-2) unstable; urgency=medium

  * Remove a number of redundant build-dependencies
  * autopkgtest:
     - Restrict qemu tests to amd64
     - Enable built-in tests
     - Enable e2e tests
     - Split out and expand patches for e2e tests
  * Fix testdata installation

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Nov 2024 17:49:45 -0500

podman (5.3.1+ds1-1) unstable; urgency=medium

  * new upstream release
  * autopkgtest/builtin-tests: disable to workaround #1088235

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Nov 2024 11:26:43 -0500

podman (5.3.0+ds1-3) unstable; urgency=medium

  * Update patches to disable shell completion system tests

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Nov 2024 10:05:42 -0500

podman (5.3.0+ds1-2) experimental; urgency=medium

  * Merge in lost fixes to system tests from unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 15 Nov 2024 11:51:57 -0500

podman (5.3.0+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Tighten build dependencies
  * refresh patches
  * build-depend on golang-github-kevinburke-ssh-config-dev
  * Normalize fields with wrap-and-sort
  * TestUnitDirs: Skip when CLONE_NEWUSER fails

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 14 Nov 2024 10:56:37 -0500

podman (5.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
  * tests/localsystem: Unbreak systemd unit file generation
  * Bump dependency on buildah, containers/storage,
    Fixes: CVE-2024-9675, CVE-2024-9676
  * fixes to autopkgtest/localsystem:
      - skip test 'podman network reload' to workaround #1085953
      - add missing dependencies (build-essential, libsystemd-dev)
      - Backport patches from upstream to fix timezone related test failures

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 25 Oct 2024 17:06:06 -0400

podman (5.2.4+ds1-1) unstable; urgency=medium

  * New upstream release
  * Tighten build-depends on buildah, container/common
    Fixes: CVE-2024-9407, CVE-2024-9341

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 17 Oct 2024 05:46:27 -0400

podman (5.2.3+ds1-4) unstable; urgency=medium

  * Add missing test dependencies
  * disable e2e tests for now

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 15 Oct 2024 05:57:52 -0400

podman (5.2.3+ds1-3) unstable; urgency=medium

  * Make buildtime display properly in 'podman version'
  * Suggest installation of containernetworking-plugins
  * test/system: ignore some tests that are broken on debian
  * Run e2e and system tests as autopkgtest, requires qemu
  * Clean up podman-docker shell completion when podman-doker
    is absent on upgrade, Closes: #1083242

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Oct 2024 08:09:12 -0400

podman (5.2.3+ds1-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Enable CNI networking for now, closes: #1079327
  * Reenable full salsa-ci pipeline
  * simplify builtin-test
  * builtin-tests: restrict to building the podman executable
  * fix source/lintian-override
  * Supress more "field-to-long" lintian warnings

  [ Guillem Jover ]
  * Do not hardcode gopsutil v3, closes: #1083117

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 02 Oct 2024 06:00:51 -0400

podman (5.2.3+ds1-1) unstable; urgency=medium

  * New upstream release 5.2.3

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 26 Sep 2024 18:20:26 -0400

podman (5.2.2+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 16 Sep 2024 15:31:01 -0400

podman (5.2.2+ds1-3) experimental; urgency=medium

  * Rename source package to 'podman', following upstream
  * fix autopkgtest/builtin-tests: exclude cmd/podman/machine

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 14 Sep 2024 10:21:52 -0400

libpod (5.2.2+ds1-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Merge from experimental
  * Ship etc/profile.d in the podman-docker package, Closes: #1080424
  * Fixup for fe0ce17dd1f040be77182f8b5a5c884c49d30b5d
  * Add appropriate Breaks/Replaces for podman-docker, Closes: #1080424

  [ Faidon Liambotis ]
  * Ship completions for the fish shell (Closes: #1080291)
  * Bump Standards-Version to 4.7.0

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 10 Sep 2024 07:42:57 -0400

libpod (5.2.2+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Sep 2024 18:45:58 -0400

libpod (5.2.1+ds1-4) unstable; urgency=medium

  * Add appropriate Breaks/Replaces for podman-docker, Closes: #1080424

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Sep 2024 06:20:50 -0400

libpod (5.2.1+ds1-3) unstable; urgency=medium

  * Don't set HOME unnecessarily, fixes LP: #2077610
  * Ship etc/profile.d in the podman-docker package, Closes: #1080424

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 03 Sep 2024 18:23:12 -0400

libpod (5.2.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:39:04 -0400

libpod (5.2.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Tighten dependencies on containers/{image,common,buildah}
  * supress lintian error: field-too-long Built-Using

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 20:27:27 -0400

libpod (5.2.0+ds1-6) experimental; urgency=medium

  * Merge in changes from branch 'debian/sid':
    - Pick up changes to move alias files to /usr, Closes: #1078552

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 07:48:39 -0400

libpod (5.2.0+ds1-5) experimental; urgency=medium

  * Add sanity checks to podman-hello-world
  * autopkgtest that run podman require isolation-machine
  * Tighten build-depends on buildah

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 Aug 2024 08:41:27 -0400

libpod (5.2.0+ds1-4) experimental; urgency=medium

  * Recommend 'netavark'

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Aug 2024 14:48:13 -0400

libpod (5.2.0+ds1-3) experimental; urgency=medium

  * Tighten build deps on golang-github-opencontainers-runc-dev
  * Install recommends for tests
  * Implement autopkgtest 'podman-info' into its own shell script
  * Add recommends to ca-certificates
  * Add test that runs hello-world
  * Fix autopkgtest failure in qemu

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Aug 2024 14:49:49 -0400

libpod (5.2.0+ds1-2) experimental; urgency=medium

  * Tighten dependencies on containers/{storage,image,common}

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 08:11:05 -0400

libpod (5.2.0+ds1-1) experimental; urgency=medium

  * New upstream release: 5.2.0
  * Drop unneded patches
  * Tighten deps on go-criu and checkpointctl
  * Revert upstream change to compile against docker version 26.1
  * Promote 'Suggests' on 'containers-storage' to Recommends,
    Closes: #1065732, 1062176

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 06:47:16 -0400

libpod (5.0.3+ds1-5) unstable; urgency=medium

  * Team Upload.
  * Add netavark to Depends (Fixes autopkgtest)

 -- Nilesh Patra <nilesh@iki.fi>  Sun, 28 Jul 2024 23:09:36 +0530

libpod (5.0.3+ds1-4) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 27 Jul 2024 01:35:14 +0000

libpod (5.0.3+ds1-3) experimental; urgency=medium

  * Add conflicts relationship to docker-cli, Closes: #1076373

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 23 Jul 2024 09:42:05 +0200

libpod (5.0.3+ds1-2) experimental; urgency=medium

  * Tighten dependency on rootlesskit v2

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Jul 2024 00:33:33 -0400

libpod (5.0.3+ds1-1) experimental; urgency=medium

  * New upstream release: 5.0.3,
    Addresses: CVE-2024-3727
  * Enable HEREDOC support, image signing
  * compile against docker 26.1, containerd 1.7, rootlesskit v2

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Jul 2024 18:04:56 -0400

libpod (4.9.5+ds1-1) unstable; urgency=medium

  * New upstream version
    - compiled against newer containers/image to address CVE-2024-3727,
      and also enables image signing and verification with sigstore
  * Move systemd files from /lib to /usr/lib, closes: #1073740
  * Add tipp to reset configuration to help with networking issues,
    Closes: #1066139

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 04 Jul 2024 17:11:36 -0400

libpod (5.0.2+ds1-3) experimental; urgency=medium

  * Build against buildah 1.35

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 05 May 2024 07:43:03 -0400

libpod (5.0.2+ds1-2) experimental; urgency=medium

  * Fix build on !amd64,!arm64

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 May 2024 08:33:41 -0400

libpod (5.0.2+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 27 Apr 2024 18:45:03 -0400

libpod (5.0.0+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 08 Apr 2024 21:24:24 +0000

libpod (4.9.5+ds1-1) unstable; urgency=medium

  * New upstream version
    - compiled against newer containers/image to address CVE-2024-3727,
      and also enables image signing and verification with sigstore
  * Move systemd files from /lib to /usr/lib, closes: #1073740
  * Add tipp to reset configuration to help with networking issues,
    Closes: #1066139

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 04 Jul 2024 17:11:36 -0400

libpod (4.9.4+ds1-1) unstable; urgency=medium

  * New upstream version
    - picks up newer buildah to address CVE-2024-1753

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 28 Mar 2024 11:03:55 +0000

libpod (4.9.3+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 13 Feb 2024 20:52:08 -0500

libpod (4.9.2+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Feb 2024 19:05:37 -0500

libpod (4.9.2+ds1-1) experimental; urgency=medium

  * New Upstream release, Closes: #1062529
    - Fixes: CVE-2024-23651, CVE-2024-23652, and CVE-2024-23653.
  * Tighten dependencies on containers/{image,common,buildah}

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Feb 2024 11:17:43 -0500

libpod (4.9.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 25 Jan 2024 06:47:15 -0500

libpod (4.9.0+ds1-1) experimental; urgency=medium

  * New upstream release, closes: #1061383
  * Build against buildah 1.33.3

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 23 Jan 2024 18:14:02 -0500

libpod (4.8.3+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jan 2024 17:27:25 -0500

libpod (4.8.3+ds1-1) experimental; urgency=medium

  * New upstream release, Closes: #1057618

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jan 2024 08:42:13 -0500

libpod (4.7.2+ds1-2) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 03 Nov 2023 06:16:15 -0400

libpod (4.7.2+ds1-1) experimental; urgency=medium

  [ Faidon Liambotis ]
  * Remove a superfluous stanza from d/copyright.
  * Drop fuse-overlayfs Suggests, as the kernel overlayfs driver can be used
    with rootless containers since Linux v5.13 and is now recommended.
  * Remove versioned Depends/Recommends/Breaks for versions that predate
    oldstable (bullseye).
  * Ship the new podmansh login shell. See podmansh(1) for a detailed
    description of this new tool. Note that this is still considered a
    technology preview by upstream.

  [ Reinhard Tartler ]
  * New upstream release
  * Drop all vendored libraries, but a single file that is copied in.
    - Fixed https://github.com/moby/moby/security/advisories/GHSA-jq35-85cj-fj4p

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 02 Nov 2023 17:57:39 -0400

libpod (4.7.1+ds4-5) unstable; urgency=medium

  * avoid file conflict with podman-compose

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 14:58:33 -0400

libpod (4.7.1+ds4-4) unstable; urgency=medium

  * Upload to unstable
  * Build against golang-github-checkpoint-restore-go-criu-dev v6
  * drop patches merged upstream
  * drop disable-sigstore.patch
  * avoid file conflicts with docker-compose (Closes: #1054460)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 14:01:53 -0400

libpod (4.7.1+ds4-3) experimental; urgency=medium

  * align test invocation with upstream makefile to fix FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 Oct 2023 09:39:59 -0400

libpod (4.7.1+ds4-2) experimental; urgency=medium

  * more reliable way to build podman-machine

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 Oct 2023 06:58:01 -0400

libpod (4.7.1+ds4-1) experimental; urgency=medium

  * New upstream release (Closes: #1053131)
  * Refresh patches
  * Tighten dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 16 Oct 2023 08:37:48 -0400

libpod (4.6.2+ds1-4) unstable; urgency=medium

  [ Anthony Fok ]
  * [backport] libpod: move oom_score_adj clamp to init

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Oct 2023 17:24:16 -0400

libpod (4.6.2+ds1-3) unstable; urgency=medium

  [ Konstantin Demin ]
  * [backport] fix mount of cgroup without a netns

  [ Reinhard Tartler ]
  * [backport] linux, rootless: clamp oom_score_adj if it is too low
  * podman: Add passt as recommends (Closes: #1052449)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 Oct 2023 15:09:22 -0400

libpod (4.6.2+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Add migration notes for vfs to overlay migration. Wording provided by:
    Gregor Riepl <onitake@gmail.com>, Closes: #1050993

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 20 Sep 2023 13:00:37 -0400

libpod (4.6.2+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Tighten dependencies
  * Refresh patches
  * drop remove-uber-jaeger-client-go.patch, merged upstream
  * add revert-newer-docker2.patch, additional work to avoid dependency
    on newer docker

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Sep 2023 10:20:03 -0400

libpod (4.5.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Sep 2023 18:52:10 -0400

libpod (4.5.1+ds1-1) experimental; urgency=medium

  [ Faidon Liambotis ]
  * New upstream release.
  * Backport an upstream patch from v4.6.0 to remove the uber/jaeger-client-go
    dependency, and unvendor the code.
  * Add debian/copyright stanzas for the three remaining vendored libraries.

  [ Reinhard Tartler ]
  * Upload to experimental

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 07 Sep 2023 18:14:11 -0400

libpod (4.5.0+ds2-1) experimental; urgency=medium

  [ Reinhard Tartler ]
  * New upstream release
    - Prefers overlay storage driver over vfs, Closes: #1050993, 1038414
    - which makes non-standard vfs options unnecessary, Closes: #1002997
  * Install quadlet, Closes: #1034539
  * Move fuse-overlayfs to Suggests, Closes: #1041050
  * Unvendor some additional sources
  * Build against vbauerster/mpb8, and drop patch vbauerster_mbp_7
  * Disable ostree support

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Update long description using upstream's latest verbiage.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Drop upstream patches:
    - test--skip-issue-17366, as the underlying issue was fixed upstream.
    - generate-crash, as it was unused, and a backport of a v4.0 commit.
  * Call "make clean" during clean, to clean up generated documentation files
    and restore the source tree to its pristine form, Closes: #1045188
  * Install usr/share/user-tmpfiles.d/podman-docker.conf, Closes: #1034026
  * Pass --no-source to dh_auto_build, and re-enable dh_missing
    --fail-missing.
  * Ship podman-remote's documentation, i.e. the podman-remote.1 manpage and
    remote_client.md, in the podman-remote package.
  * Ship podman-remote's bash completion.
  * Move rootlessport and quadlet from /usr/lib/ to /usr/libexec/.
  * Ship an empty /etc/containers/systemd directory, where container files can
    be written for the systemd generator (quadlet) to pick them up.
  * debian/copyright:
    - Update to recent sources and remove obsolete entries and comments.
    - Remove stanzas for now un-vendored code.
    - Remove unused license stanzas: ISC and BSD-3-clause.
    - Update debian/ copyright to latest authors
    - Use "podman" in Upstream-Name and Source, to reflect an upstream change.
  * debian/upstream/metadata:
    - Replace invalid "Homepage" field by Repository/Repository-Browse.
    - Add the Changelog field, pointing to the upstream release notes.
  * Update debian/watch to point to /tags rather than /releases, as GitHub's
    releases page now requires JavaScript.
  * Rename the builtin_tests autopkgtest name to builtin-tests, as underscores
    are invalid in test names (addresses illegal-runtime-test-name warning).
  * Add a debian/gbp.conf config file, allowing to use standardized
    git-buildpackage tools to update to newer versions.
  * Resort and wrap debian/control using wrap-and-sort -ast.
  * Remove unused source-includes-file-in-files-excluded lintian override.
  * Add an absolute-symbolic-link-target-in-source lintian override, for the
    "containerignore-symlink" e2e test, as that is harmless and clearly
    intentional.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 05 Sep 2023 21:33:43 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog podman-remote`.
